import uno
import unohelper
from com.python.numpy.random import XNPrandom
import numpy as np

class randomImpl( unohelper.Base, XNPrandom ):
    def __init__( self, ctx ):
        self.ctx = ctx

    def triangular( self, left, mode, right, size=None ):
        wrapper = uno.createUnoStruct('com.sun.star.script.ArrayWrapper') 
        row = []
        for i in range(3):
            column = []
            for j in range(3):
                column.append(float(j))
            row.append(tuple(column))
            
        wrapper.IsZeroIndex = False
        wrapper.Array = tuple(row)
        return wrapper

def createInstance( ctx ):
    return randomImpl( ctx )

g_ImplementationHelper = unohelper.ImplementationHelper()
g_ImplementationHelper.addImplementation( \
    createInstance,"com.python.numpy.random.python.randomImpl",
        ("com.sun.star.sheet.AddIn",),)
